# DataExchange
TKIGES
IGESAppli

# IGESAppli_Array1OfFiniteElement Class Reference

`#include <IGESAppli_Array1OfFiniteElement.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESAppli_Array1OfFiniteElement (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESAppli_Array1OfFiniteElement (const Handle(IGESAppli_FiniteElement)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESAppli_FiniteElement)&V)
Standard_EXPORT void | Destroy ()
| ~IGESAppli_Array1OfFiniteElement ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESAppli_Array1OfFiniteElement & | Assign (const IGESAppli_Array1OfFiniteElement &Other)
const IGESAppli_Array1OfFiniteElement & | operator= (const IGESAppli_Array1OfFiniteElement &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESAppli_FiniteElement)&Value)
const Handle_IGESAppli_FiniteElement & | Value (const Standard_Integer Index) const
const Handle_IGESAppli_FiniteElement & | operator() (const Standard_Integer Index) const
Handle_IGESAppli_FiniteElement & | ChangeValue (const Standard_Integer Index)
Handle_IGESAppli_FiniteElement & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | IGESAppli_Array1OfFiniteElement (const IGESAppli_Array1OfFiniteElement &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_Array1OfFiniteElement::IGESAppli_Array1OfFiniteElement | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESAppli_Array1OfFiniteElement::IGESAppli_Array1OfFiniteElement | ( | const Handle(IGESAppli_FiniteElement)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESAppli_Array1OfFiniteElement::~IGESAppli_Array1OfFiniteElement | ( |  | ) | `[inline]`

Standard_EXPORT IGESAppli_Array1OfFiniteElement::IGESAppli_Array1OfFiniteElement | ( | const IGESAppli_Array1OfFiniteElement & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESAppli_Array1OfFiniteElement& IGESAppli_Array1OfFiniteElement::Assign | ( | const IGESAppli_Array1OfFiniteElement & | Other | ) |

Handle_IGESAppli_FiniteElement& IGESAppli_Array1OfFiniteElement::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESAppli_Array1OfFiniteElement::Destroy | ( |  | ) |

Standard_EXPORT void IGESAppli_Array1OfFiniteElement::Init | ( | const Handle(IGESAppli_FiniteElement)& | V | ) |

Standard_Boolean IGESAppli_Array1OfFiniteElement::IsAllocated | ( |  | ) | const

Standard_Integer IGESAppli_Array1OfFiniteElement::Length | ( |  | ) | const

Standard_Integer IGESAppli_Array1OfFiniteElement::Lower | ( |  | ) | const

void IGESAppli_Array1OfFiniteElement::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESAppli_Array1OfFiniteElement::operator new | ( | size_t | size | ) | `[inline]`

void* IGESAppli_Array1OfFiniteElement::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESAppli_FiniteElement& IGESAppli_Array1OfFiniteElement::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESAppli_FiniteElement& IGESAppli_Array1OfFiniteElement::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESAppli_Array1OfFiniteElement& IGESAppli_Array1OfFiniteElement::operator= | ( | const IGESAppli_Array1OfFiniteElement & | Other | ) | `[inline]`

void IGESAppli_Array1OfFiniteElement::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESAppli_FiniteElement)& | Value
| ) |

Standard_Integer IGESAppli_Array1OfFiniteElement::Upper | ( |  | ) | const

const Handle_IGESAppli_FiniteElement& IGESAppli_Array1OfFiniteElement::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESAppli_Array1OfFiniteElement::isAllocated`[private]`

Standard_Integer IGESAppli_Array1OfFiniteElement::myLowerBound`[private]`

Standard_Address IGESAppli_Array1OfFiniteElement::myStart`[private]`

Standard_Integer IGESAppli_Array1OfFiniteElement::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- IGESAppli_Array1OfFiniteElement.hxx